OutgoingDataQueue::OutgoingRTPPktLink Struct Reference

`#include <oqueue.h>`

Collaboration diagram for OutgoingDataQueue::OutgoingRTPPktLink:
[legend]

## Public Member Functions

| OutgoingRTPPktLink (OutgoingRTPPkt *pkt, OutgoingRTPPktLink *p, OutgoingRTPPktLink *n)
| ~OutgoingRTPPktLink ()
OutgoingRTPPkt * | getPacket ()
void | setPacket (OutgoingRTPPkt *pkt)
OutgoingRTPPktLink * | getPrev ()
void | setPrev (OutgoingRTPPktLink *p)
OutgoingRTPPktLink * | getNext ()
void | setNext (OutgoingRTPPktLink *n)

## Public Attributes

OutgoingRTPPkt * | packet
OutgoingRTPPktLink * | prev
OutgoingRTPPktLink * | next

## Constructor & Destructor Documentation

## OutgoingRTPPktLink()

OutgoingDataQueue::OutgoingRTPPktLink::OutgoingRTPPktLink | ( | OutgoingRTPPkt * | pkt,
|  | OutgoingRTPPktLink * | p,
|  | OutgoingRTPPktLink * | n )

inline

## ~OutgoingRTPPktLink()

OutgoingDataQueue::OutgoingRTPPktLink::~OutgoingRTPPktLink | ( |  | ) |

inline

## Member Function Documentation

## getNext()

OutgoingRTPPktLink * OutgoingDataQueue::OutgoingRTPPktLink::getNext | ( |  | ) |

inline

## getPacket()

OutgoingRTPPkt * OutgoingDataQueue::OutgoingRTPPktLink::getPacket | ( |  | ) |

inline

## getPrev()

OutgoingRTPPktLink * OutgoingDataQueue::OutgoingRTPPktLink::getPrev | ( |  | ) |

inline

## setNext()

void OutgoingDataQueue::OutgoingRTPPktLink::setNext | ( | OutgoingRTPPktLink * | n | ) |

inline

## setPacket()

void OutgoingDataQueue::OutgoingRTPPktLink::setPacket | ( | OutgoingRTPPkt * | pkt | ) |

inline

## setPrev()

void OutgoingDataQueue::OutgoingRTPPktLink::setPrev | ( | OutgoingRTPPktLink * | p | ) |

inline

## Member Data Documentation

## next

OutgoingRTPPktLink * OutgoingDataQueue::OutgoingRTPPktLink::next

## packet

OutgoingRTPPkt* OutgoingDataQueue::OutgoingRTPPktLink::packet

## prev

OutgoingRTPPktLink* OutgoingDataQueue::OutgoingRTPPktLink::prev

The documentation for this struct was generated from the following file:

- oqueue.h